Get all available traffic policy profile services
Get all available PCEF services that can be used in traffic policy profiles.
GET
/
traffic
/
policy
/
profiles
/
services
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const trafficPolicyProfileListServicesResponse of client.trafficPolicyProfiles.listServices()) {
console.log(trafficPolicyProfileListServicesResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.traffic_policy_profiles.list_services()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.TrafficPolicyProfiles.ListServices(context.TODO(), telnyx.TrafficPolicyProfileListServicesParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.trafficpolicyprofiles.TrafficPolicyProfileListServicesPage;
import com.telnyx.sdk.models.trafficpolicyprofiles.TrafficPolicyProfileListServicesParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
TrafficPolicyProfileListServicesPage page = client.trafficPolicyProfiles().listServices();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.traffic_policy_profiles.list_services
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->trafficPolicyProfiles->listServices(
filterGroup: 'filter[group]',
filterName: 'filter[name]',
pageNumber: 1,
pageSize: 1,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx traffic-policy-profiles list-services \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/traffic/policy/profiles/services \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "service_123",
"name": "Netflix",
"group": "Streaming",
"resource_type": "wireless_pcrf_service"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The page number to load.
Required range:
x >= 1The size of the page.
Required range:
1 <= x <= 250Filter services by group.
Filter services by name.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const trafficPolicyProfileListServicesResponse of client.trafficPolicyProfiles.listServices()) {
console.log(trafficPolicyProfileListServicesResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.traffic_policy_profiles.list_services()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.TrafficPolicyProfiles.ListServices(context.TODO(), telnyx.TrafficPolicyProfileListServicesParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.trafficpolicyprofiles.TrafficPolicyProfileListServicesPage;
import com.telnyx.sdk.models.trafficpolicyprofiles.TrafficPolicyProfileListServicesParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
TrafficPolicyProfileListServicesPage page = client.trafficPolicyProfiles().listServices();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.traffic_policy_profiles.list_services
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->trafficPolicyProfiles->listServices(
filterGroup: 'filter[group]',
filterName: 'filter[name]',
pageNumber: 1,
pageSize: 1,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx traffic-policy-profiles list-services \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/traffic/policy/profiles/services \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "service_123",
"name": "Netflix",
"group": "Streaming",
"resource_type": "wireless_pcrf_service"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}